安装shopex4.85屡装屡败,杯具!

沉寂已久的B站开始启动,看到后台提示说Shopex释放出伟大的4.85正式版,建议升级。
我说那就升吧,shopex的补丁像腊月天小孩儿的鼻涕,从来没断过,总是沥沥拉拉,总也擦不干净,偶们老用户都习惯了。
杯具开始了。
我小心翼翼,步步为营,严格遵照shopex官方指导说明来升级,甚至它已经无耻的给出升级成功提示,可登陆后台时,浏览器上一大片的错误信息,让我目不暇接,顾此失彼!

我很郁闷,也很庆幸。
新站点,没任何数据,坏了就坏了吧,我重新来过。

我下载了4.85正式版,进行全新安装。
安装前,我删除了mysql里旧的数据库,清空了空间里所有旧文件,我做了足够的清理工作。

梦游的服务器环境也满足shopex官方的要求:

官方要求:Linux/FreeBSD/Solaris+Apache+Mysql 4+PHP4+Zend Optimizer2.5.5以上版本支持;
梦游主机:Linux / PHP v5.2.4   Apache/2.2.6  MySQL 版本 4.0.26

全新安装过程:

一、简单的HTML代码都会写错?

二、数据库配置正确

三、安装前工作准备就绪

四、杯具出现,不明所以,斗争一天

五、也许它是唯一线索

六、

3 thoughts on “安装shopex4.85屡装屡败,杯具!

  1. 已经解决。
    是空间数据库版本低造成的,和程序无关。
    但我想如果在安装前,软件自动检测,并给出“数据库版本不符合安装要求,请升级数据库版本到*.*以上后再安装”,会更友好。

  2. 据与笔者沟通,表示这些问题是自己系统的问题,与shopex4.8.5本身的关系不大

评论已关闭。